Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.cms
Class CMSCompressedData

    java.lang.Object
      org.bouncycastle.cms.CMSCompressedData

Direct Known Subclasses:
  SMIMECompressed

    public class CMSCompressedData

extends java.lang.Object

containing class for an CMS Compressed Data object

Constructor Summary
`CMSCompressedData(byte[] compressedData)`
`CMSCompressedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo)`
`CMSCompressedData(java.io.InputStream compressedData)`

Method Summary
`byte[]` `getContent()`
`org.bouncycastle.asn1.cms.ContentInfo` `getContentInfo()` return the ContentInfo
`byte[]` `getEncoded()` return the ASN.1 encoded representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSCompressedData

    public CMSCompressedData(byte[] compressedData)
                      throws CMSException

Throws:
  `CMSException`

### CMSCompressedData

    public CMSCompressedData(java.io.InputStream compressedData)
                      throws CMSException

Throws:
  `CMSException`

### CMSCompressedData

    public CMSCompressedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo)
                      throws CMSException

Throws:
  `CMSException`

Method Detail

### getContent

    public byte[] getContent()
                      throws CMSException

  Throws:
    `CMSException`

### getContentInfo

    public org.bouncycastle.asn1.cms.ContentInfo getContentInfo()

  return the ContentInfo

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  return the ASN.1 encoded representation of this object.

  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.40